import {PageDataset} from './dataset';

export class PageEvents {
  private dataset: PageDataset;

  constructor(dataset: PageDataset) {
    this.dataset = dataset;
  }

  onWidgetAction(datasetId: string, params: any) {
    this.dataset.onWidgetAction(datasetId, params);
  }
}
